> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# ユーザー別日次消費量

> 特定ユーザーの日次消費量を返します

Enterprise 管理者の個人用 APIキーが必要です。

Enterprise 内の特定ユーザーについて、日次の ACU 消費データを返します。

<div id="timezone-behavior">
  ## タイムゾーンの動作
</div>

請求サイクルでは、日付の区切りとして **PST (Pacific Standard Time) の午前0時** を使用しており、これは **08:00:00 UTC** に相当します。Devin ダッシュボードに表示される消費データと一致させるには、このタイムゾーンオフセットを反映したタイムスタンプを渡す必要があります。詳細および例については、[Daily Consumption](/ja/api-reference/v2/consumption/daily-consumption#timezone-behavior) を参照してください。

<div id="filtering-by-organization">
  ## 組織別のフィルタリング
</div>

`org_ids` でフィルタリングすると、結果には Devin セッションの ACU のみが含まれます。Cascade と Terminal によって消費された ACU は、これらのプロダクトの使用量がどの組織にも紐づいていないため除外されます。


## OpenAPI

````yaml ja/v2-openapi.yaml GET /v2/enterprise/consumption/daily/{user_id}
openapi: 3.1.0
info:
  description: Enterprise 管理者向け Personal API Keys 対応 Devin v2 API
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/consumption/daily/{user_id}:
    get:
      tags:
        - consumption
      summary: ユーザー日次利用量エンドポイント
      description: >-
        特定ユーザーの 1 日ごとの利用量を返します。デフォルトでは現在の請求サイクルが対象です。


        **タイムゾーンの挙動**: 請求サイクルでは、1 日の区切りとして PST（Pacific Standard Time）の午前 0
        時を使用します。これは UTC の 08:00:00 に相当します。Devin
        ダッシュボードに表示される利用データと整合させるには、このタイムゾーンのオフセットを反映したタイムスタンプを指定してください（例: 2025 年
        12 月 5 日 PST の場合は `2025-12-05T08:00:00Z`）。
      operationId: >-
        user_daily_consumption_endpoint_v2_enterprise_consumption_daily__user_id__get
      parameters:
        - in: path
          name: user_id
          required: true
          schema:
            title: User Id
            type: string
        - in: query
          name: start_date
          required: false
          schema:
            anyOf:
              - format: date-time
                type: string
              - type: 'null'
            title: Start Date
        - in: query
          name: end_date
          required: false
          schema:
            anyOf:
              - format: date-time
                type: string
              - type: 'null'
            title: End Date
        - in: query
          name: start
          required: false
          schema:
            anyOf:
              - format: date-time
                type: string
              - type: 'null'
            title: Start
        - in: query
          name: end
          required: false
          schema:
            anyOf:
              - format: date-time
                type: string
              - type: 'null'
            title: End
        - in: query
          name: org_ids
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Org Ids
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserConsumptionResponse'
          description: 成功時のレスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: バリデーションエラー
components:
  schemas:
    UserConsumptionResponse:
      properties:
        consumption_by_date:
          additionalProperties:
            type: number
          propertyNames:
            format: date
          title: Consumption By Date
          type: object
        consumption_by_org_id:
          additionalProperties:
            type: number
          title: Consumption By Org Id
          type: object
        total_acus:
          title: Total Acus
          type: number
      required:
        - total_acus
        - consumption_by_date
        - consumption_by_org_id
      title: UserConsumptionResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: Enterprise 管理者専用の個人用 API キー (apk_user_*)
      scheme: bearer
      type: http

````